# Uses of Interface
org.gitana.platform.client.billing.PaymentMethod

Packages that use PaymentMethod
Package
Description
org.gitana.platform.client.billing
org.gitana.platform.client.support
org.gitana.platform.client.tenant

## Uses of PaymentMethod in org.gitana.platform.client.billing

Classes in org.gitana.platform.client.billing that implement PaymentMethod
Modifier and Type
Class
Description
`class`
`PaymentMethodImpl`

## Uses of PaymentMethod in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return PaymentMethod
Modifier and Type
Method
Description
`PaymentMethod`
ObjectFactory.`paymentMethod(Tenant tenant, Response response)`
`PaymentMethod`
ObjectFactoryImpl.`paymentMethod(Tenant tenant, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type PaymentMethod
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<PaymentMethod>`
ObjectFactory.`paymentMethods(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
ObjectFactoryImpl.`paymentMethods(Tenant tenant, Response response)`

## Uses of PaymentMethod in org.gitana.platform.client.tenant

Methods in org.gitana.platform.client.tenant that return PaymentMethod
Modifier and Type
Method
Description
`PaymentMethod`
Tenant.`createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)`
`PaymentMethod`
Tenant.`createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)`
`PaymentMethod`
TenantImpl.`createPaymentMethod(com.fasterxml.jackson.databind.node.ObjectNode object)`
`PaymentMethod`
TenantImpl.`createPaymentMethod(String holderName, String number, int expirationMonth, int expirationYear)`
`PaymentMethod`
Tenant.`readPaymentMethod(String paymentMethodId)`
`PaymentMethod`
TenantImpl.`readPaymentMethod(String paymentMethodId)`
Methods in org.gitana.platform.client.tenant that return types with arguments of type PaymentMethod
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<PaymentMethod>`
Tenant.`listPaymentMethods()`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
Tenant.`listPaymentMethods(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
TenantImpl.`listPaymentMethods()`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
TenantImpl.`listPaymentMethods(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
Tenant.`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
Tenant.`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
TenantImpl.`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
TenantImpl.`queryPaymentMethods(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`